import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/member/marketWithdrawLog/pageList',
    method: 'get',
    params: query
  })
}

// 分销订单信息查询
export const orderInfoList = (query) => {
  return request({
    url: '/member/marketWithdrawLog/selectByWithdrawIds',
    method: 'get',
    params: query
  })
}

//  导出
export function downOrderListXls(params) {
  return request({
    url: '/member/marketWithdrawLog/exportExcel',
    method: 'get',
    responseType: 'blob',
    params
  });
}
// 上传打款凭证
export const withdrawAudit = (data) => {
  return request({
    url: '/member/marketPersons/withdrawAudit',
    method: 'post',
    data: data
  })
}
